## org.eclipse.jst.jsf.common.metadata.query
Interface ITraitQueryVisitor

All Superinterfaces:
  IMetaDataVisitor, ITraitVisitor

All Known Implementing Classes:
  AbstractTraitQueryVisitor

    public interface ITraitQueryVisitor

extends ITraitVisitor

Trait querying interface

NOT to implemented by clients directly. Clients should subclass AbstractTraitQueryVisitor instead.

Provisional API - subject to change

Method Summary
`IResultSet<Trait>` `findTraits(Entity entity, java.lang.String traitKey)`

Methods inherited from interface org.eclipse.jst.jsf.common.metadata.query.ITraitVisitor
`visit, visitCompleted`

Methods inherited from interface org.eclipse.jst.jsf.common.metadata.query.IMetaDataVisitor
`stopVisiting`

Method Detail

### findTraits

    IResultSet<Trait> findTraits(Entity entity,
                                 java.lang.String traitKey)

  Parameters:
    `entity` -
    `traitKey` -
  Returns:
    IResultSet of Traits. IResultSet must NOT be null. Implementers may return `EmptyResultSet`.